Skip to main content

Full backup of Databricks subclient​

This API is used to run a full backup of Databricks subclient.

Request Body
  • taskInfo object
  • task object
  • taskType integer

    type : 1 for backups

  • associations object[]
  • clientName string required

    Databricks client name

  • instanceName string required

    Databricks instance name

  • displayName string

    display name of the instance

  • backupsetId integer required

    Databricks backupset ID

  • _type_ integer

    possible value for type : 7

  • commCellName string

    name of the cs

  • instanceId integer required

    Databricks Instance ID

  • subclientId integer required

    Databricks Subclient ID

  • clientId integer required

    Databricks client ID

  • appName string required

    Databricks app name

  • backupsetName string required

    Databricks backupset(metastore) name

  • applicationId integer required

    Databricks app id

  • subclientName string required

    Databricks subclient name

  • subTasks object[]
  • subTask object
  • subTaskType integer

    subtask type should be 2 for backup

  • operationType integer

    operation type should be 2 for backup

  • options object
  • backupOpts object
  • backupLevel string required

    Backup type

  • dataOpt object
  • createNewIndex boolean
  • commonOpts object
  • notifyUserOnJobCompletion boolean
Responses

OK


Schema
  • taskId integer
  • jobIds string[]
Loading...